#
# spec file for package rubygem-mime-types-1
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mime-types-1
Version:        1.25.1
Release:        bp153.1.16
%define mod_name mime-types
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://mime-types.rubyforge.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        This library allows for the identification of a file's likely MIME
License:        MIT and Artistic-2.0 and GPL-2.0
Group:          Development/Languages/Ruby

%description
This library allows for the identification of a file's likely MIME content
type. This is release 1.25.1, fixing an issue with priority comparison for
mime-types 1.x. The current release is 2.0, which only supports Ruby 1.9 or
later.
Release 1.25.1 contains all features of 1.25, including the experimental
caching and lazy loading functionality. The caching and lazy loading features
were initially implemented by Greg Brockman (gdb). As these features are
experimental, they are disabled by default and must be enabled through the use
of environment variables. The cache is invalidated on a per-version basis; the
cache for version 1.25 will not be reused for any later version.
To use lazy loading, set the environment variable +RUBY_MIME_TYPES_LAZY_LOAD+
to any value other than 'false'. When using lazy loading, the initial startup
of MIME::Types is around 12–25× faster than normal startup (on my system,
normal startup is about 90 ms; lazy startup is about 4 ms). This isn't
generally useful, however, as the MIME::Types database has not been loaded.
Lazy startup and load is just *slightly* faster—around 1 ms. The real
advantage
comes from using the cache.
To enable the cache, set the environment variable +RUBY_MIME_TYPES_CACHE+ to a
filename where MIME::Types will have read-write access. The first time a new
version of MIME::Types is run using this file, it will be created, taking a
little longer than normal. Subsequent loads using the same cache file will be
approximately 3½× faster (25 ms) than normal loads. This can be combined with
+RUBY_MIME_TYPES_LAZY_LOAD+, but this is *not* recommended in a multithreaded
or multiprocess environment where all threads or processes will be using the
same cache file.
As the caching interface is still experimental, the only values cached are the
default MIME::Types database, not any custom MIME::Types added by users.
MIME types are used in MIME-compliant communications, as in e-mail or HTTP
traffic, to indicate the type of content which is transmitted. MIME::Types
provides the ability for detailed information about MIME entities (provided as
a set of MIME::Type objects) to be determined and used programmatically. There
are many types defined by RFCs and vendors, so the list is long but not
complete; don't hesitate to ask to add additional information. This library
follows the IANA collection of MIME types (see below for reference).
MIME::Types for Ruby was originally based on MIME::Types for Perl by Mark
Overmeer, copyright 2001 - 2009.
MIME::Types is built to conform to the MIME types of RFCs 2045 and 2231. It
tracks the {IANA registry}[http://www.iana.org/assignments/media-types/]
({ftp}[ftp://ftp.iana.org/assignments/media-types]) with some unofficial types
added from the {LTSW collection}[http://www.ltsw.se/knbase/internet/mime.htp]
and added by the users of MIME::Types.

%prep

%build

%install
%gem_install \
  --doc-files="History.rdoc Licence.rdoc README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Jan 12 2015 dmueller@suse.com
- rebuild against newer gem2rpm to properly package licence file
* Tue Oct 21 2014 adrian@suse.de
- add -1 suffix to avoid overwrite with version 2 rubygem
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar 24 2014 coolo@suse.com
- updated to version 1.25.1
  * Bugs:
  * Fix an issue with priority comparison in the 1.x release series. Found by
    sdbondi. This issue does not exist in the 2.x release series.
    https://github.com/halostatue/mime-types/issues/47
* Tue Sep  3 2013 coolo@suse.com
- updated to version 1.25
  * New Features:
  * Adding lazy loading and caching functionality to the default data based on
    work done by Greg Brockman (gdb).
  * Bugs:
  * Force the default internal application encoding to be used when reading the
    MIME types database. Based on a change by briangamble, found in the rapid7
    fork.
  * New extensions:
  * mjpeg (video/x-motion-jpeg) based on a change by punkrats, found in the
    vidibus fork.
  * Modernized MiniTest configuration.
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.24
  * Code Climate:
  * Working on improving the quality of the mime-types codebase through the use
    of Code Climate. https://codeclimate.com/github/halostatue/mime-types
  * Simplified MIME::Type.from_array to make more assumptions about assignment.
  * Documentation:
  * LeoYoung <mrleoyoung@gmail.com> pointed out that the README.rdoc contained
    examples that could never possibly work because MIME::Types#[] returns (for
    all the versions I have handy) an array, not a single type. I have updated
    README.rdoc to reflect this.
  * Removed Nokogiri as a declared development dependency. It is still required
  if you're going to use the IANA parser functionality, but it is not necessary
  for most development purposes. This has been removed to ensure that Travis CI
  passes on Ruby 1.8.7.
  * New MIME Types:
  * 7zip (application/x-7z-compressed). Fixes a request by kodram.
    https://github.com/halostatue/mime-types/issues/32
  * application/x-www-form-urlencoded. Fixes a request by alexkwolfe.
    https://github.com/halostatue/mime-types/issues/39
  * Various new MIME types from IANA:
  * application/mbms-schedule\+xml from 3GPP and Turcotte.
  * application/provenance\+xml from W3C and Herman.
  * application/session-info from 3GPP and Firmin.
  * application/urc-grpsheet\+xml, application/urc-targetdesc\+xml,
    application/uisocketdesc\+xml from Zimmermann.
  * application/api\+json from Klabnik.
  * application/vnd.etsi.pstn\+xml from Han and Belling.
  * application/vnd.fujixerox.docuworks.container from Tashiro.
  * application/vnd.windows.devicepairing from Dandawate.
  * video/vnd.radgamettools.bink and video/vnd.radgamettools.smacker from
    Andersson.
  * Updated MIME Types:
  * RFC 6960 was adopted (application/ocsp-request and application/ocsp-response).
* Mon May  6 2013 cfarrell@suse.com
- license update: MIT or (Artistic-1.0 or GPL-1.0+)
  License is MIT or Perl Artistic (which itself splits into Artistic-1.0 or
  GPL-1.0+)
* Sat Apr 27 2013 coolo@suse.com
- updated to version 1.23
  * New Feature:
  * Arnaud Meuret (ameuret) suggested that it could be useful if the MIME type
    collection was enumerable, so he implemented it in #30. Thanks for the
    contribution! https://github.com/halostatue/mime-types/pull/30
  * Updated MIME Types:
  * RFC6910 was adopted (application/call-completion).
  * RFC6902 was adopted (application/json-patch\+json).
  * RFC6917 was adopted (application/mrb-consumer\+xml,
    application/mrb-publish\+xml).
  * RFC6922 was adopted (application/sql).
  * RFC2560 is being
    {updated}[http://tools.ietf.org/html/draft-ietf-pkix-rfc2560bis].
  * Administrivia:
  * The gemspec now includes information about the licenses under which the
    mime-types gem is available.
  * Using hoe-gemspec2 instead of hoe-gemspec.
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.22
  * New MIME Types:
  * Added support for 3FR (Hasselblad raw images) files. MIME-Type was obtained
    by looking at exif data with exiftool. Thanks to cgat for these changes.
    https://github.com/halostatue/mime-types/pull/27
  * Updated MIME Types:
  * Pulled the latest updates from the IANA MIME-Type registry.
  * Added support for Ruby 2.0 with Travis CI.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.21
  * New MIME Types:
  * Various new or updated MIME types by Garret Alfert:
    application/vnd.ms-fontobject, .eot; application/x-chrome-extension, .crx;
    application/x-web-app-manifest\+json, .webapp; application/x-xpinstall,
    .xpi; image/svg\+xml, .svg, .svgz; image/webp, .webp; text/cache-manifest,
    .appcache, .manifest. https://github.com/halostatue/mime-types/pull/24
  * Fixed some Manifest.txt related madness on Travis.
* Tue Feb  5 2013 coolo@suse.com
- updated to version 1.20.1
* Thu Aug  2 2012 cfarrell@suse.com
- license update: GPL-2.0+ or Artistic-1.0 or Ruby
  See data/License.rdoc
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to get new provisions
* Sun Jul 15 2012 coolo@suse.com
- update to 1.19
  * New MIME Types:
  * Types reported in Issue #6 (https://github.com/halostatue/mime-types/issues/6):
  * XCF Gnome Images (image/x-xcf, image/x-compressed-xcf; .xcf). https://github.com/halostatue/mime-types/issue/17
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * DV (video/x-dv; .dv)
  * IVF (video/x-ivf; .ivf)
  * Matroska (video/x-matroska; .mkv)
  * Motion JPEG (video/x-motion-jpeg; .mjpg)
  * RealMedia (official; application/vnd.rn-realmedia; .rm)
  * New extensions:
  * dcm (application/dicom); https://github.com/halostatue/mime-types/issue/16.
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * 3g2, 3gpp2 (video/3gpp2)
  * mpeg (video/mpeg)
  * mxf (application/mxf)
  * ts (video/MP2T)
  * ogg (video/ogg)
  * Fixed MIME Types:
  * Adobe AIR application installer packages was missing a hyphen. https://github.com/halostatue/mime-types/issue/13
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * audio/x-pn-realaudio extension is .ra, not .rm.
  * Resolved https://github.com/halostatue/mime-types/issues/8. Apparently some people run the tests on Linux. Imagine that.
* Tue Apr  3 2012 coolo@suse.com
- update to 1.18
  * New MIME Types:
  * Types reported in Issue #6 (https://github.com/halostatue/mime-types/issues/6):
  * CoffeeScript (text/x-coffeescript; .coffee; 8bit).
  * AIR (application/vnd.adobe.air-applicationinstaller-package+zip, .air; base64).
  * WOFF (application/font-woff; .woff; base64).
  * TrueType (application/x-font-truetype; .ttf; base64).
  * OpenType (application/x-font-opentype; .otf; base64).
  * WebM (audio/webm, video/webm; .webm). Issue #11 (https://github.com/halostatue/mime-types/issues/11).
  * New extensions:
  * f4v/f4p (video/mp4, used by Adobe); f4a/fb4 (audio/mp4, used by Adobe).
  * Bug Fixes:
  * It was pointed out that Licence.txt was incorrectly named. Fixed by renaming to Licence.rdoc (from Issue/Pull Request #8, https://github.com/halostatue/mime-types/issues/8).
  * It was pointed out that a plan to have the test output generated automatically never went through. Issue #10 (https://github.com/halostatue/mime-types/issues/10)
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Nov  3 2011 mrueckert@suse.de
- update to 1.17.2 (bnc#727772)
  * Fixed an issue with Ruby 1.9 and file encoding.
  * Implemented modern 'hoe' semantics.
  * Switched to minitest instead of test/unit.
  * Converted documentation from .txt to .rdoc.
  * Removed setup.rb. (Issue #3:
    https://github.com/halostatue/mime-types/issues/3).
  * Should no longer complain about missing RubyGems keys (Issue #2:
    https://github.com/halostatue/mime-types/issues/2).
  * Added .mp4 and .mpg4 as recognized extensions for
    {application,audio,video}/mp4 per RFC4337. (Issue #1:
    https://github.com/halostatue/mime-types/issues/1).
  * Added audio/x-aac and .aac per RubyForge issue #28054
    (http://rubyforge.org/tracker/index.php?func=detail&aid=28054&group_id=293&atid=1194).
  * Made it much easier to update MIME types from this point forward.
  * Updated MIME types from IANA.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Aug  8 2009 dmacvicar@novell.com
- initial package for 1.16
